from games.api.serializers import (
    DeveloperSerializer,
    GameSerializer,
    GameSystemSerializer,
    GenreSerializer,
    PublisherSerializer,
)
from games.models import Developer, Game, GameSystem, Genre, Publisher
from rest_framework import viewsets


class GameViewSet(viewsets.ModelViewSet):
    queryset = Game.objects.all()
    serializer_class = GameSerializer


class PublisherViewSet(viewsets.ModelViewSet):
    queryset = Publisher.objects.all()
    serializer_class = PublisherSerializer


class DeveloperViewSet(viewsets.ModelViewSet):
    queryset = Developer.objects.all()
    serializer_class = DeveloperSerializer


class GenreViewSet(viewsets.ModelViewSet):
    queryset = Genre.objects.all()
    serializer_class = GenreSerializer


class GameSystemViewSet(viewsets.ModelViewSet):
    queryset = GameSystem.objects.all()
    serializer_class = GameSystemSerializer
